=== contrib/debian/changelog ===
subscription-manager (1.25.1-2) unstable; urgency=medium

  * Change the path to rhsmd in /etc/cron.daily/rhsmd

 -- Bernhard Suttner <suttner@atix.de>  Fri, 07 Jun 2019 14:45:00 +0100

subscription-manager (1.25.1-1) unstable; urgency=medium

  * Use the latest upstream release

 -- Quirin Pamp <pamp@atix.de>  Wed, 03 Apr 2019 17:16:15 +0100

subscription-manager (1.20.7-2) unstable; urgency=medium

  * Fix package-upload script for Ubuntu 16.04

 -- Markus Bucher <bucher@atix.de>  Mon, 15 Oct 2018 10:12:00 +0100

subscription-manager (1.20.7-1) unstable; urgency=medium

  * Initial packaging attempts

 -- Matthias Dellweg <dellweg@atix.de>  Wed, 06 Dec 2017 13:49:53 +0100
