=== contrib/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=subscription-manager
export PYBUILD_DISABLE=test

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2 --buildsystem=pybuild
# 	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

override_dh_auto_build:
	make -f Makefile GTK_VERSION=2 OS_DIST=debian PREFIX=/usr

override_dh_auto_install:
	make -f Makefile install GTK_VERSION=2 OS_DIST=debian PREFIX=/usr DESTDIR=debian/python-subscription-manager
	sed -i -e '/dbus-python/d' debian/python-subscription-manager/usr/lib/python2.7/site-packages/subscription_manager-*.egg-info/requires.txt

override_dh_auto_test:
